/*hide default checkbox overall*/
input[type=checkbox] {
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  position: absolute;
}
input[type=checkbox] ~ {
  /*positioning the parent element*/
}
input[type=checkbox] ~ label {
  position: relative;
  padding: 0;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-flow: row;
          flex-flow: row;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}
input[type=checkbox] ~ label:before {
  /*for checkbox before effects overall*/
  content: "";
  margin-right: 10px;
  display: inline-block;
  width: 20px;
  height: 20px;
  background: white;
  border: 1px solid #ccc;
}
input[type=checkbox]:checked ~ {
  /*RuokakauppiasAppFormBlock section*/
}
input[type=checkbox]:checked ~ label:after {
  /*for checkbox after effects overall*/
  content: "";
  position: absolute;
  left: 5px;
  top: 12px;
  background: white;
  width: 2px;
  height: 2px;
  -webkit-box-shadow: 2px 0 0 white, 4px 0 0 white, 4px -2px 0 white, 4px -4px 0 white, 4px -6px 0 white, 4px -8px 0 white;
          box-shadow: 2px 0 0 white, 4px 0 0 white, 4px -2px 0 white, 4px -4px 0 white, 4px -6px 0 white, 4px -8px 0 white;
  -webkit-transform: rotate(45deg);
          transform: rotate(45deg);
}
input[type=checkbox]:checked ~ label:before {
  /*for checkbox hover and checked effects overall*/
  background: #cb4700;
}
input[type=checkbox]:checked ~ label.tnc-description:after {
  top: 9px;
}
input[type=checkbox]:hover ~ label:before {
  background: #cb4700;
}

/* Episerver forms */
.EPiServerForms label {
  position: relative;
  padding: 0;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-flow: row;
          flex-flow: row;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}
.EPiServerForms label > input[type=checkbox] {
  position: relative;
  margin: 0;
  width: 20px;
  height: 20px;
  margin-right: 10px;
  outline: none;
}
.EPiServerForms label > input[type=checkbox]:before {
  content: "";
  margin-right: 10px;
  display: inline-block;
  width: 20px;
  height: 20px;
  background: white;
  border: 1px solid #ccc;
}
.EPiServerForms label > input[type=checkbox]:checked::after {
  content: "";
  position: absolute;
  left: 5px;
  top: 12px;
  background: white;
  width: 2px;
  height: 2px;
  -webkit-box-shadow: 2px 0 0 white, 4px 0 0 white, 4px -2px 0 white, 4px -4px 0 white, 4px -6px 0 white, 4px -8px 0 white;
          box-shadow: 2px 0 0 white, 4px 0 0 white, 4px -2px 0 white, 4px -4px 0 white, 4px -6px 0 white, 4px -8px 0 white;
  -webkit-transform: rotate(45deg);
          transform: rotate(45deg);
  top: 9px;
}
.EPiServerForms label > input[type=checkbox]:checked::before {
  background: #cb4700;
}
.EPiServerForms label:hover > input[type=checkbox]:before {
  background: #cb4700;
}
.EPiServerForms > label {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  white-space: nowrap;
  margin: 0 10px 0 0;
}
.EPiServerForms input[type=checkbox] ~ label:before {
  display: none;
}
.EPiServerForms input[type=checkbox]:checked ~ label:after {
  display: none;
}

/* xform */
.xform label {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  white-space: nowrap;
  margin: 0 10px 0 0;
}
.xform label > input[type=checkbox] {
  position: relative;
  margin: 0;
  width: 20px;
  height: 20px;
  margin-right: 10px;
  outline: none;
}
.xform label > input[type=checkbox]:before {
  content: "";
  margin-right: 10px;
  display: inline-block;
  width: 20px;
  height: 20px;
  background: white;
  border: 1px solid #ccc;
}
.xform label > input[type=checkbox]:checked::after {
  content: "";
  position: absolute;
  left: 5px;
  top: 12px;
  background: white;
  width: 2px;
  height: 2px;
  -webkit-box-shadow: 2px 0 0 white, 4px 0 0 white, 4px -2px 0 white, 4px -4px 0 white, 4px -6px 0 white, 4px -8px 0 white;
          box-shadow: 2px 0 0 white, 4px 0 0 white, 4px -2px 0 white, 4px -4px 0 white, 4px -6px 0 white, 4px -8px 0 white;
  -webkit-transform: rotate(45deg);
          transform: rotate(45deg);
  top: 9px;
}
.xform label > input[type=checkbox]:checked::before {
  background: #cb4700;
}
.xform label:hover > input[type=checkbox]:before {
  background: #cb4700;
}
.xform input.Phone[type=text] {
  padding-left: 35px !important;
  background-image: url(/staticcontent/img/comm_icon-phone.svg);
  background-size: 18px 18px;
  background-repeat: no-repeat;
  background-position: 10px 0.9rem;
}

/* Cision Works #CisionForm*/
#CisionForm input[type=checkbox]:checked ~ label::after {
  top: 10px;
}

/*Phone svg icon for all forms including xforms and episerver forms*/
input#Phone {
  padding-left: 35px !important;
  background-image: url(/staticcontent/img/comm_icon-phone.svg);
  background-size: 18px 18px;
  background-repeat: no-repeat;
  background-position: 10px 0.9rem;
}

input.Phone {
  padding-left: 35px !important;
  background-image: url(/staticcontent/img/comm_icon-phone.svg);
  background-size: 18px 18px;
  background-repeat: no-repeat;
  background-position: 10px 0.9rem;
}

/*Add Dropdown selected tick icon*/
.dropdown-selected-tick {
  position: absolute;
  right: 1%;
  width: 1em;
  height: 1em;
  background-image: url(/staticcontent/img/misc_icon-tick.svg) !important;
  background-size: 1em 1em !important;
}

/*Search page Dropdown*/
.align-srch-drpdwn {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  line-height: 0;
}
.align-srch-drpdwn input {
  margin-right: 4px;
}

.srch-drpdwn {
  width: 150px !important;
  margin-right: 4px;
}
.srch-drpdwn .ui-selectmenu-button {
  margin: 0 !important;
  height: 34px !important;
}
.srch-drpdwn #publishYear {
  display: none !important;
}

/*Add attention icon when requried*/
.field-validation {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -ms-flex-line-pack: start;
      align-content: flex-start;
  margin: 10px 0;
}

.field-validation-error {
  color: red;
  font-size: 17px;
  display: inline-block;
  padding: 0;
  margin: 10px 0;
}
.field-validation-error .show-attention-icon {
  position: absolute;
  right: 1.5em;
  top: 2.4em;
  width: 1em;
  height: 1em;
  background-image: url(/staticcontent/img/attention_icon-warning.svg);
  background-size: 1em 1em !important;
}

input[type=text].error {
  padding-right: 36px !important;
  border-color: red !important;
  background-color: rgba(255, 0, 0, 0.05);
}

/* Mobile Styles */
@media only screen and (max-width: 426px) {
  input[type=checkbox]:checked ~ label:after {
    top: 9px;
  }
  #CisionForm input[type=checkbox]:checked ~ label::after {
    top: 9px;
  }
}